<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useUIStore } from '~~/store/UI'
import { useZoomClientStore } from '~~/store/zoomClient'

const iconPortal = ref<HTMLImageElement | null>(null)
const zoomClient = useZoomClientStore()
const { x, y, width, height } = useElementBounding(iconPortal)

const ui = useUIStore()
const { iconShow, isMobile, designNumber } = storeToRefs(ui)

// Update to state when portal resize

const style = computed(
  () =>
    designNumber.value === 7
      ? ''
      : `#wc-footer {
          display: ${iconShow.value ? 'block' : 'none'};
          position: fixed;
          background: rgba(0,0,0,.5) !important;
          transform-origin: 0 0;
          scale: ${1 / zoomClient.position.scale};
          left: ${x.value}px !important;
          transform: translateY(calc(${height.value / 2}px - 50%));
          top: ${(y.value - zoomClient.position.y) / zoomClient.position.scale}px !important;
          width: ${width.value * 2}px !important;
          margin: 0px;
          background-color: transparent !important;
          backdrop-filter: none !important;
          pointer-events: none !important;
  }
  #wc-footer * {
    pointer-events: auto;
  }
  #wc-footer .footer__inner {
    pointer-events: none;
  }
  ${isMobile.value
    ? `[feature-type="security"],[feature-type="sharing"]{
    display: none !important;
  }
  #wc-footer{
    max-width: min(560px);
  }
  `
    : ''
  }  
`,
)

useStyleTag(style)
</script>

<template>
  <div ref="iconPortal" class="bg-netural-900" />
</template>

<style lang="scss">
// middle the tool bar
#zmmtg-root #wc-footer .footer__inner{
  align-items: center ;
}
div[feature-type='sharing'] {
  &::after {
    background-color: black;
    color: white;
    white-space: nowrap;
    padding: 0.7rem 1.5rem;
    position: absolute;
    left: 50%;
    bottom: 100%;
    transform: translateX(-30%);
    margin-bottom: 7px;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    border-radius: 0.5rem;
  }

  &::before {
    position: absolute;
    bottom: 100%;
    margin-bottom: -7px;
    border: 7px solid transparent;
    border-top-color: black;
  }

  &:hover {
    &::after {
      content: '画面共有時は漏洩事故防止のため不要な画面を閉じてください。';
    }

    &::before {
      content: '';

    }
  }
}
div[feature-type="reaction"]{
  .footer-button-base__button-label{
    margin-bottom: -3px;
  }
}
</style>
